package com.ss.android.ugc.aweme.live.livehostimpl;

import X.M12;
import com.bytedance.android.livesdkapi.host.IHostSecurity;
import com.bytedance.covode.number.Covode;
import com.ss.android.ugc.aweme.sec.SecApiImpl;
import java.util.Map;

public final class LiveHostSecurity implements IHostSecurity {
    static {
        Covode.recordClassIndex(91234);
    }

    public final void onInit() {
    }

    public final Map<String, String> LIZ(String str, int i) {
        M12.LIZ(str);
        return SecApiImpl.LIZ().frameSign(str, i);
    }
}
